use ExtUtils::MakeMaker;

# The existence of the ./xmltok/Makefile.PL file causes MakeMaker
# to automatically include Makefile code for the targets
#	config, all, clean, realclean and xmltok/Makefile
# which perform the corresponding actions in the subdirectory.

$define = ($^O eq 'MSWin32') ? '-DMSDOS' : '';
if ($^O eq 'MSWin32') {
  $myextlib = 'xmltok\\libxmltok$(LIB_EXT)';
} elsif ($^O eq 'VMS') {
  $myextlib = 'xmltok/libxmltok$(LIB_EXT)';
} else {
  $myextlib = 'xmltok/libxmltok$(LIB_EXT)';  
}

WriteMakefile(
              NAME	=> 'XML::Parser',
              MYEXTLIB => $myextlib,
              MAN3PODS 	=> ' ', 	# Pods will be built by installman.
              XSPROTOARG => '-noprototypes', 		# XXX remove later?
              VERSION_FROM => 'Parser.pm',
              DEFINE => "$define -g",
#              NORECURS => $^O eq 'VMS',
#              SKIP => $^O eq 'VMS' ? 'subdirs' : '', # Don't do the subdirs section for VMS
             );

sub MY::postamble {
  if ($^O ne 'VMS') {
    '
$(MYEXTLIB): xmltok/Makefile
	cd xmltok && $(MAKE) all
';
  } else {
  '   
$(MYEXTLIB): [.xmltok]descrip.mms
	set def [.xmltok]
    $(MMS) all
    set def [-]
';  
  }
}
